net.minecraftforge.client.model

## Class AdvancedModelLoader

- java.lang.Object
- - net.minecraftforge.client.model.AdvancedModelLoader

-     public class AdvancedModelLoader
      extends java.lang.Object

  Common interface for advanced model loading from files, based on file suffix Model support can be queried through the `getSupportedSuffixes()` method. Instances can be created by calling `#loadModel(String)` with a class-loadable-path

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedModelLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Collection<java.lang.String>` | `getSupportedSuffixes()`
    `static IModelCustom` | `loadModel(ResourceLocation resource)` Load the model from the supplied classpath resolvable resource name
    `static void` | `registerModelHandler(IModelCustomLoader modelHandler)` Register a new model handler

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedModelLoader

          public AdvancedModelLoader()

  - ### Method Detail

    - #### registerModelHandler

          public static void registerModelHandler(IModelCustomLoader modelHandler)

      Register a new model handler
      Parameters:
        `modelHandler` - The model handler to register

    - #### loadModel

          public static IModelCustom loadModel(ResourceLocation resource)
                                        throws java.lang.IllegalArgumentException,
                                               ModelFormatException

      Load the model from the supplied classpath resolvable resource name
      Parameters:
        `resource` - The resource name
      Returns:
        A model
      Throws:
        `java.lang.IllegalArgumentException` - if the resource name cannot be understood
        `ModelFormatException` - if the underlying model handler cannot parse the model format

    - #### getSupportedSuffixes

          public static java.util.Collection<java.lang.String> getSupportedSuffixes()